SparkFun Inventor's Kit V4.0 - Example Sketches
======================================================

[![SparkFun Inventor's Kit](https://cdn.sparkfun.com//assets/parts/1/2/2/2/0/SIK_V4-Kit_Shot.jpg)  
*SparkFun Inventor's Kit V4.0(KIT-14265)*](https://www.sparkfun.com/products/14265)

The example sketches in this repository are part of the SparkFun Inventor's Kit (a.k.a. *"The SIK"*).
The SIK consists of an [SparkFun RedBoard](https://www.sparkfun.com/products/13975) and a variety of electronic components designed to help you learn basic programming and circuits.
Build five projects comprised of 16 circuits as you navigate through the best inventor's kit yet! Once you've mastered these circuits, you'll be able to start building projects limited only by your imagination!

These sketches are designed to work with the [SIK Experiment Guide](https://learn.sparkfun.com/tutorials/sparkfun-inventors-kit-experiment-guide---v40) tutorial.


Getting Started
---------------

1. If you haven't yet, download and install the [Arduino IDE](http://arduino.cc/en/Main/Software)
2. Obtain the latest SIK Guide Code by one of the following methods:
 * Clone this repository using Git ([New to Git? Click here.](https://help.github.com/articles/set-up-git))
 * Download this repository as a [zip file](https://github.com/sparkfun/SIK-Guide-Code/archive/master.zip) and unzip.
3. Place the `SIK-Guide-Code` folder in the Arduino IDE `examples` directory:
 * PC: drag the `SIK-Guide-Code` folder into `C:\program files\Arduino-x\examples`
 * MAC: Right-click on the Arduino IDE app and click "Show Package Contents...". Drag the `SIK-Guide-Code` folder into `Contents/Resources/Java`
 * Linux: see [http://www.arduino.cc/playground/Learning/Linux](http://www.arduino.cc/playground/Learning/Linux)
4. Start the Arduino IDE; the examples should be visible in this menu: `File > Examples > SIK Guide Code`

Sketch Topics
-------------

#### Project 1
* 1A Blink an LED
* 1B Read a Potentiometer
* 1C Night-light
* 1D RGB Night-light

#### Project 2

* 2A Buzzer
* 2B Digital Trumpet
* 2C Simon Says Game

#### Project 3

* 3A Servo Motor
* 3B Distance Sensor
* 3C Motion Alarm

##### Project 4

* 4A LCD Hello World
* 4B LCD Thermometer
* 4C DIY Who Am I Game

##### Project 5

* 5A Motor Basics
* 5B Remote-controlled Robot
* 5C Autonomous Rover

Documentation
--------------
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/sparkfun-inventors-kit-experiment-guide---v40)** - Experiment Guide for the SIK.

Version History
---------------
* [v40](https://github.com/sparkfun/SIK-Guide-Code/tree/v40) -SIK code version 4.0
* [v33](https://github.com/sparkfun/SIK-Guide-Code/tree/v33) -SIK code version 3.3
* [v32](https://github.com/sparkfun/SIK-Guide-Code/tree/v32) -SIK code version 3.2
* [v30](https://github.com/sparkfun/SIK-Guide-Code/tree/v30) -SIK code version 3.0



License Information
-------------------

These sketches were written by [SparkFun Electronics](https://www.sparkfun.com) with lots of help from the Arduino community.

All contents of this repository are released under [Creative Commons Share-alike 4.0](http://creativecommons.org/licenses/by-sa/4.0/).
